glibmm 2.30.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- ~

### - a -

- abstract_names_supported() : Gio::UnixSocketAddress
- accept() : Gio::Socket , Gio::SocketListener , Gio::Socket , Gio::SocketListener
- accept_async() : Gio::SocketListener
- accept_finish() : Gio::SocketListener
- accept_socket() : Gio::SocketListener
- accept_socket_async() : Gio::SocketListener
- accept_socket_finish() : Gio::SocketListener
- acquire() : Glib::Mutex::Lock , Glib::RecMutex::Lock , Glib::RWLock::ReaderLock , Glib::RWLock::WriterLock , Glib::MainContext
- add() : Glib::DateTime , Glib::TimeVal , Gio::FileAttributeInfoList
- add_address() : Gio::SocketListener
- add_any_inet_port() : Gio::SocketListener
- add_application_proxy() : Gio::SocketClient
- add_data() : Gio::MemoryInputStream
- add_days() : Glib::Date , Glib::DateTime
- add_emblem() : Gio::EmblemedIcon
- add_entry() : Glib::OptionGroup
- add_entry_filename() : Glib::OptionGroup
- add_filter() : Gio::DBus::Connection
- add_full() : Glib::DateTime
- add_group() : Glib::OptionContext
- add_hours() : Glib::DateTime
- add_inet_port() : Gio::SocketListener
- add_interface() : Gio::Proxy , Gio::ProxyResolver , Gio::Seekable , Gio::SocketConnectable , Gio::Volume , Gio::AppInfo , Gio::AsyncInitable , Gio::AsyncResult , Gio::Drive , Gio::File , Gio::Icon , Gio::Initable , Gio::LoadableIcon , Gio::Mount
- add_microseconds() : Glib::TimeVal
- add_milliseconds() : Glib::TimeVal
- add_minutes() : Glib::DateTime
- add_months() : Glib::Date , Glib::DateTime
- add_poll() : Glib::Source , Glib::MainContext
- add_seconds() : Glib::DateTime , Glib::TimeVal
- add_socket() : Gio::SocketListener
- add_supports_type() : Gio::AppInfo
- add_weeks() : Glib::DateTime
- add_years() : Glib::Date , Glib::DateTime
- adjust_time() : Glib::TimeZone
- adopt_orphan_mount() : Gio::VolumeMonitor
- AnnotationInfo() : Gio::DBus::AnnotationInfo
- append() : Glib::NodeTree< T > , Glib::ValueArray , Glib::ustring , Gio::UnixFDList , Glib::ustring
- append_data() : Glib::NodeTree< T >
- append_fd() : Gio::UnixFDMessage
- append_name() : Gio::ThemedIcon
- append_to() : Gio::File
- append_to_async() : Gio::File
- append_to_finish() : Gio::File
- AppLaunchContext() : Gio::AppLaunchContext
- apply() : Gio::Settings
- ArgInfo() : Gio::DBus::ArgInfo
- array_to_vector() : Glib::ArrayHandler< bool > , Glib::ArrayHandler< T, Tr > , Glib::ArrayHandler< bool >
- ArrayHandle() : Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >
- ArrayHandleIterator() : Glib::Container_Helpers::ArrayHandleIterator< Tr >
- ArrayIterator() : Glib::Container_Helpers::ArrayIterator< Tr >
- ArrayKeeper() : Glib::Container_Helpers::ArrayKeeper< Tr >
- as_double() : Glib::TimeVal
- as_iso8601() : Glib::TimeVal
- assign() : Glib::ustring
- assign_current_time() : Glib::TimeVal
- assign_from_iso8601() : Glib::TimeVal
- assign_to() : Glib::SListHandle< T, Tr > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ListHandle< T, Tr >
- at() : Glib::ustring
- attach() : Glib::Source
- AuthObserver() : Gio::DBus::AuthObserver
- authorize_authenticated_peer() : Gio::DBus::AuthObserver